Bug 141928 - mozilla and firefox report missing libraries when java is around
mozilla and firefox report missing libraries when java is around
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 01:15 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch to fix a faulty search for JVM_VERSION in /usr/bin/mozilla (665 bytes, patch)
2004-12-06 01:24 EST, Michal Jaegermann
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2004-12-06 01:15:41 EST
Description of problem:

When java is present then both mozilla and firefox on a startup
spit the following errors:

grep: error while loading shared libraries: libc.so.6: cannot open
shared object file: No such file or directory
cut: error while loading shared libraries: libc.so.6: cannot open
shared object file: No such file or directory
sed: error while loading shared libraries: libc.so.6: cannot open
shared object file: No such file or directory

The problem is a shell code, written by somebody with a rather
tenous grasp of both shell and sed, which attempts to check a Java
version.  With, amittedly long obsolete, java runtime this would
actually cause trouble.  By a lucky accident with current java
versions the error does not have lasting consequences.

This error is the same as what one would get trying on FC3 something 
like

 echo | (LD_ASSUME_KERNEL=2.2.5 grep whatever )

It is clear from the context that an intention was to execute
java with LD_ASSUME_KERNEL=2.2.5 and not whatever follows.

An attached patch for mozilla is fixing the problem and actually
sets JVM_VERSION instead of leaving it empty.  The same patch
applies to /usr/bin/firefox with a minor offset of four lines or so.
Comment 1 Michal Jaegermann 2004-12-06 01:24:18 EST
Created attachment 107928 [details]
a patch to fix a faulty search for JVM_VERSION in /usr/bin/mozilla

If there are any doubts about a generality of
( LD_ASSUME_KERNEL=2.2.5 $JVM_COMMAND -version 2>&1 )
construct, with doubts really misplaced with sane shells, then
( export LD_ASSUME_KERNEL=2.2.5; $JVM_COMMAND -version 2>&1 )
will work equally well and with exactly the same results.  Parenthesis
are not optional.
Comment 2 Michal Jaegermann 2004-12-06 13:55:24 EST
Come to think of it here is a version of that code which does
what was intended witout bothering anything "external" to a shell:

set_jvmver () { eval JVM_VERSION=$3; }
set_jvmver `(export LD_ASSUME_KERNEL=2.2.5; $JVM_COMMAND -version 2>&1)`
Comment 3 Michal Jaegermann 2005-02-26 18:53:20 EST
The same bug is still present in an updated firefox-1.0.1-1.3.1.

Here is a relevant output fragment from 'sh -v firefox' run:

....
# set our JVM vars
set_jvm_vars
perl -e "print readlink('$JVM_ORIG_LINK')"
basename $JVM_LINK
echo $JVM_LINK | sed -e s/$JVM_BASE//g
$JVM_COMMAND -version 2>&1 | grep version | cut -f 3 -d " " | sed -e
's/\"//g'
grep: error while loading shared libraries: libc.so.6: cannot open
shared object file: No such file or directory
cut: error while loading shared libraries: libc.so.6: cannot open
shared object file: No such file or directory
sed: error while loading shared libraries: libc.so.6: cannot open
shared object file: No such file or directory
.....

The same fix as before still applies and this detail that most
likely we can get away with JVM_VERSION unset does not make that
correct.
Comment 4 Thomas J. Baker 2005-04-05 09:27:17 EDT
I just started experiencing this bug with firefox-1.0.2-1.3.1.x86_64.rpm and
mozilla-1.7.6-1.3.2.x86_64.rpm. 
Comment 5 Matthew Miller 2006-07-10 17:19:23 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-11-05 11:11:35 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.